---
title: FileSystemFileEntry.createWriter()
slug: Web/API/FileSystemFileEntry/createWriter
tags:
  - API
  - File System API
  - File and Directory Entries API
  - FileSystemFileEntry
  - Files
  - Method
  - Non-standard
  - Obsolete
  - Reference
  - createWriter
---
<p>{{APIRef("File System API")}}{{SeeCompatTable}}{{obsolete_header}}{{Non-standard_header}}</p>

<p>The {{domxref("FileSystemFileEntry")}} interface's method <strong><code>createWriter()</code></strong> returns a {{domxref("FileWriter")}} object which can be used to write data into the file represented by the directory entry.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>FileSystemFileEntry</em>.createWriter(<em>successCallback</em>[, <em>errorCallback</em>]);</pre>

<h3 class="syntaxbox" id="Parameters">Parameters</h3>

<dl>
 <dt><code>successCallback</code></dt>
 <dd>A callback function which is called when the {{domxref("FileWriter")}} has been created successfully; the <code>FileWriter</code> is passed into the callback as the only parameter.</dd>
 <dt><code>errorCallback</code> {{optional_inline}}</dt>
 <dd>If provided, this must be a method which is caled when an error occurs while trying to create the {{domxref("FileWriter")}}. This callback receives as input a {{domxref("FileError")}} object describing the error.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}.</p>

<h2 id="Example">Example</h2>

<p>This example establishes a method, <code>writeToFileEntry()</code>, which outputs a text string to the file corresponding to the passed-in directory entry.</p>

<pre class="brush: js">function writeToFileEntry(entry, text) {
  entry.createWriter(function(fileWriter) {
    let data = Blob([text], { type: "text/plain" });

    fileWriter.write(data);
  }, function(fileError) {
    /* do whatever to handle the error */
  });
}
</pre>

<p>The success callback for the <code>createWriter()</code> call takes the text which was passed in and creates a new {{domxref("Blob")}} object of type <code>text/plain</code> that contains the passed text. This blob is then output to the {{domxref("FileWriter")}} object to be written to the file.</p>

<p>This API has no official W3C or WHATWG specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemFileEntry.createWriter")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
</ul>
